#| nokogiri-interfaces.jl -- module interfaces  -*- lisp -*-

   $Id: nokogiri-interfaces.jl.in,v 1.3 2000/07/06 20:53:15 john Exp $

   Copyright (C) 2000 John Harper <john@dcs.warwick.ac.uk>

   This file is part of sawfish.

   sawfish is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sawfish is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sawfish; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|#

(provide 'nokogiri-interfaces)

(defvar *nokogiri-directory* "/usr/share/sawfish/0.30.3/nokogiri")

(define-interface nokogiri-apply-interface
  (export define-change-handler
	  apply-slot-changes
	  revert-slot-changes
	  changes-to-apply-p
	  changes-to-revert-p))

(define-interface nokogiri-color-preview-interface
  (export button-new-with-color
	  set-button-color))

(define-interface nokogiri-config-interface
  (export define-config-item
	  initialize-configs))

(define-interface nokogiri-gnome-interface
  (export stock-button
	  simple-dialog))

(define-interface nokogiri-group-interface
  (export group-real-name
	  group-slots
	  group-sub-groups
	  group-layout
	  root-group
	  top-group
	  set-top-group
	  get-group
	  fetch-group
	  update-group
	  get-sub-groups
	  make-group-tree
	  select-group
	  redisplay-group))

(define-interface nokogiri-i18n-interface
  (export i18n-lang
	  i18n-filename
	  i18n-init))

(define-interface nokogiri-layout-interface
  (export define-layout-type
	  layout-slots
	  document-slot
	  remove-newlines
	  make-label))

(define-interface nokogiri-shell-interface
  (export initialize-shell
	  destroy-shell
	  run-shell
	  main-window))

(define-interface nokogiri-slot-interface
  (export slot-name
	  slot-widget
	  slot-old-value
	  slot-user-level
	  slot-gtk-widget
	  slot-doc
	  slot-layout set-slot-layout
	  update-dependences
	  update-all-dependences
	  get-slot
	  slot-value
	  fetch-slots
	  custom-symbol-value))

(define-interface nokogiri-user-level-interface
  (export slot-is-appropriate-p))

(define-interface nokogiri-widget-dialog-interface
  (export widget-dialog))

(define-interface nokogiri-widget-interface
  (export define-widget-type
	  widget-type-constructor
	  widget-accepts-doc-string
	  widget-accepts-doc-string-p
	  make-widget
	  widget-ref
	  widget-set
	  widget-clear
	  widget-gtk-widget
	  widget-valid-p
	  call-callback
	  make-signal-callback
	  set-widget-enabled
	  enable-widget
	  disable-widget
	  box-spacing
	  box-border))

(define-interface nokogiri-wm-interface
  (export wm-load-slots
	  wm-load-group
	  wm-apply-changes
	  wm-locale-dir
	  wm-grab-x-property
	  wm-grab-key
	  wm-command-list
	  wm-documentation))


;; deviously put this here so it's evaluated at compile-time

(when (string= "yes" "no")
  (load "nokogiri-no-gnome"))
