#!/bin/sh
exec rep "$0" "$@"
!#

#| nokogiri-main.jl -- entry point

   $Id: nokogiri-main.jl.in,v 1.4 2000/07/02 14:43:16 john Exp $

   Copyright (C) 2000 John Harper <john@dcs.warwick.ac.uk>

   This file is part of sawfish.

   sawfish is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sawfish is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sawfish; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|#

(setq load-path (cons "/usr/share/sawfish/0.30.3/nokogiri" load-path))

(structure ()

    (open rep
	  nokogiri-i18n
	  nokogiri-shell
	  nokogiri-group
	  nokogiri-user-level)

  (setq backtrace-on-error '(void-value missing-arg bad-arg invalid-function))

  (define socket-id nil)

  (let ((group (get-command-line-option "--group" t)))
    (when group
      (setq group (read-from-string group))
      (set-top-group (if (listp group) group `(root ,group)))))

  (let ((level (get-command-line-option "--user-level" t)))
    (when level
      (setq *nokogiri-user-level* (read-from-string level))))

  (when (get-command-line-option "--flatten")
    (setq *nokogiri-flatten-groups* t))

  (when (get-command-line-option "--single-level")
    (setq *nokogiri-single-level* t))

  (let ((id (get-command-line-option "--socket-id" t)))
    (when id
      (setq socket-id (string->number id))))

  (setq interrupt-mode 'exit)
  (i18n-init)
  (run-shell socket-id))

;; Local variables:
;; major-mode: lisp-mode
;; End:
